org.apache.ignite.internal.processors.query.schema

## Interface SchemaChangeListener

All Known Implementing Classes:
  AbstractSchemaChangeListener

    public interface SchemaChangeListener

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `onColumnsAdded(String schemaName, GridQueryTypeDescriptor typeDesc, GridCacheContextInfo<?,?> cacheInfo, List<QueryField> cols)` Callback on columns added.
`void` `onColumnsDropped(String schemaName, GridQueryTypeDescriptor typeDesc, GridCacheContextInfo<?,?> cacheInfo, List<String> cols)` Callback on columns dropped.
`void` `onFunctionCreated(String schemaName, String name, boolean deterministic, Method method)` Callback on function creation.
`void` `onIndexCreated(String schemaName, String tblName, String idxName, IndexDescriptor idxDesc)` Callback on index creation.
`void` `onIndexDropped(String schemaName, String tblName, String idxName)` Callback on index drop.
`void` `onIndexRebuildFinished(String schemaName, String tblName)` Callback on index rebuild finished for all indexes in the table.
`void` `onIndexRebuildStarted(String schemaName, String tblName)` Callback on index rebuild started for all indexes in the table.
`void` `onSchemaCreated(String schemaName)` Callback method.
`void` `onSchemaDropped(String schemaName)` Callback method.
`void` `onSqlTypeCreated(String schemaName, GridQueryTypeDescriptor typeDesc, GridCacheContextInfo<?,?> cacheInfo)` Callback method.
`void` `onSqlTypeDropped(String schemaName, GridQueryTypeDescriptor typeDesc, boolean destroy)` Callback method.
`void` `onSystemViewCreated(String schemaName, SystemView<?> sysView)` Callback method.

### Method Detail

#### onSchemaCreated

    void onSchemaCreated(String schemaName)

Callback method.

Parameters:
  `schemaName` - Schema name.

#### onSchemaDropped

    void onSchemaDropped(String schemaName)

Callback method.

Parameters:
  `schemaName` - Schema name.

#### onSqlTypeCreated

    void onSqlTypeCreated(String schemaName,
                          GridQueryTypeDescriptor typeDesc,
                          GridCacheContextInfo<?,?> cacheInfo)

Callback method.

Parameters:
  `schemaName` - Schema name.
  `typeDesc` - Type descriptor.
  `cacheInfo` - Cache info.

#### onColumnsAdded

    void onColumnsAdded(String schemaName,
                        GridQueryTypeDescriptor typeDesc,
                        GridCacheContextInfo<?,?> cacheInfo,
                        List<QueryField> cols)

Callback on columns added.

Parameters:
  `schemaName` - Schema name.
  `typeDesc` - Type descriptor.
  `cacheInfo` - Cache info.
  `cols` - Added columns' names.

#### onColumnsDropped

    void onColumnsDropped(String schemaName,
                          GridQueryTypeDescriptor typeDesc,
                          GridCacheContextInfo<?,?> cacheInfo,
                          List<String> cols)

Callback on columns dropped.

Parameters:
  `schemaName` - Schema name.
  `typeDesc` - Type descriptor.
  `cacheInfo` - Cache info.
  `cols` - Dropped columns' names.

#### onSqlTypeDropped

    void onSqlTypeDropped(String schemaName,
                          GridQueryTypeDescriptor typeDesc,
                          boolean destroy)

Callback method.

Parameters:
  `schemaName` - Schema name.
  `typeDesc` - Type descriptor.
  `destroy` - Cache destroy flag.

#### onIndexCreated

    void onIndexCreated(String schemaName,
                        String tblName,
                        String idxName,
                        IndexDescriptor idxDesc)

Callback on index creation.

Parameters:
  `schemaName` - Schema name.
  `tblName` - Table name.
  `idxName` - Index name.
  `idxDesc` - Index descriptor.

#### onIndexDropped

    void onIndexDropped(String schemaName,
                        String tblName,
                        String idxName)

Callback on index drop.

Parameters:
  `schemaName` - Schema name.
  `tblName` - Table name.
  `idxName` - Index name.

#### onIndexRebuildStarted

    void onIndexRebuildStarted(String schemaName,
                               String tblName)

Callback on index rebuild started for all indexes in the table.

Parameters:
  `schemaName` - Schema name.
  `tblName` - Table name.

#### onIndexRebuildFinished

    void onIndexRebuildFinished(String schemaName,
                                String tblName)

Callback on index rebuild finished for all indexes in the table.

Parameters:
  `schemaName` - Schema name.
  `tblName` - Table name.

#### onFunctionCreated

    void onFunctionCreated(String schemaName,
                           String name,
                           boolean deterministic,
                           Method method)

Callback on function creation.

Parameters:
  `schemaName` - Schema name.
  `name` - Function name.
  `deterministic` - Specifies if the function is deterministic (result depends only on input parameters)
  `method` - Public static method, implementing this function.

#### onSystemViewCreated

    void onSystemViewCreated(String schemaName,
                             SystemView<?> sysView)

Callback method.

Parameters:
  `schemaName` - Schema name.
  `sysView` - System view.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.16.0
Release Date | : December 15 2023